package com.reyun.saas.mob.user.service;

import com.reyun.saas.common.restResult.RestResult;
import com.reyun.saas.mob.user.dto.user.WorkOrderLogDTO;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * @author:
 * @Date: 2021/09/06/11:34
 * @Description:
 */
public interface WorkOrderService {

    /**
     * 工单导出列表
     */
    public RestResult list(Map<String, Object> map, Long loginUserId);


    /**
     * 创建工单导出任务
     */
    RestResult create(WorkOrderLogDTO source, Long logUserId);


    /**
     * 下载工单
     */
    RestResult download(HttpServletRequest request, Long wordOrderId, Long loginUserId);

    /**
     * 工单下载重试
     */
    RestResult retry(Long wordOrderId, Long loginUserId);


    /**
     * 删除工单
     */
    RestResult delete(Long wordOrderId, Long loginUserId);

    /**
     * 查询筛选条件
     */
    RestResult screening(String key,String os, Long loginUserId);

}
